Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227262 - Can't find jsautocfg64.h per firefox-js.pc
Summary: Can't find jsautocfg64.h per firefox-js.pc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 230414
TreeView+ depends on / blocked
 
Reported: 2007-02-04 06:45 UTC by Braden McDaniel
Modified: 2018-04-11 19:20 UTC (History)
5 users (show)

Fixed In Version: 1.5.0.10-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 22:31:19 UTC


Attachments (Terms of Use)
Patch to fix the names of included jsautocfg files (deleted)
2007-02-04 07:41 UTC, Braden McDaniel
no flags Details | Diff

Description Braden McDaniel 2007-02-04 06:45:42 UTC
Description of problem:
The cflags provided by firefox-js.pc are not adequate for finding jsautocfg64.h.
As such, compiling against Firefox JavaScript headers when relying on these
flags fails.

Version-Release number of selected component (if applicable):
1.5.0.9-2.fc6

Comment 1 Braden McDaniel 2007-02-04 06:48:18 UTC
This just started happening after updating from 1.5.0.9-1 to 1.5.0.9-2. Either
firefox-js.pc needs to be fixed to add -I{includedir} to Cflags, or jsautocfg.h
needs to be modified to include "jsautocfg64.h" instead of "js/jsautocfg64.h".


Comment 2 Braden McDaniel 2007-02-04 07:41:40 UTC
Created attachment 147294 [details]
Patch to fix the names of included jsautocfg files

Changing firefox-js.pc for this seems like the wrong thing. This patch fixes
the recently added jsautocfg.h that gets generated by the spec file.

Comment 3 Martin Stransky 2007-03-01 11:29:34 UTC
Added to firefox-1.5.0.9-3.fc6, thanks!


Note You need to log in before you can comment on or make changes to this bug.